!=========================================================================
! 一次元トレーサー移流モデル: dcl-5.0.1 モジュール
!
! 履歴	1997/10/16	小高正嗣
!	1997/10/22	小高正嗣
!=========================================================================
MODULE dcl_module
PUBLIC dennou_set,dennou_draw,dennou_cls

	CONTAINS
!=========================================================================
SUBROUTINE dennou_set

	CALL SGLSET( 'LCORNER', .FALSE. )
	CALL SWISET( 'IPOSX', 50 )
	CALL SWISET( 'IPOSY', 50 )
      	CALL SWLSET( 'LALT', .TRUE. )
      	CALL SWLSET( 'LWAIT', .FALSE. )
	CALL GROPN( 1 )
	CALL SLDIV( 'T', 2, 2 )

END SUBROUTINE dennou_set
!=========================================================================
SUBROUTINE dennou_draw( xplot, yplot1, yplot2, yplot3, yplot4, header )

	REAL,DIMENSION(:),INTENT(in)	:: xplot
	REAL,DIMENSION(:),INTENT(in)	:: yplot1
	REAL,DIMENSION(:),INTENT(in)	:: yplot2
	REAL,DIMENSION(:),INTENT(in)	:: yplot3
	REAL,DIMENSION(:),INTENT(in)	:: yplot4
	CHARACTER(LEN=9),INTENT(in)	:: header
	INTEGER				:: xdim	

	xdim = SIZE(xplot)

	CALL GRFRM
	CALL USSTTL( 'X', '', 'Y1', '' ) 
	CALL USGRPH( xdim, xplot, yplot1 )

	CALL GRFRM
	CALL USSTTL( 'X', '', 'Y2', '' ) 
	CALL USGRPH( xdim, xplot, yplot2 )

	CALL GRFRM
	CALL USSTTL( 'X', '', 'Y3', '' ) 
	CALL USGRPH( xdim, xplot, yplot3 )

	CALL GRFRM
	CALL USSTTL( 'X', '', 'Y4', '' ) 
	CALL USGRPH( xdim, xplot, yplot4 )

END SUBROUTINE dennou_draw
!=========================================================================
SUBROUTINE dennou_cls

	CALL GRCLS

END SUBROUTINE dennou_cls
!=========================================================================
END MODULE dcl_module